package cn.reghao.tnb.common.auth;

/**
 * @author reghao
 * @date 2024-02-14 19:13:18
 */
public enum AccountRole {
    examUser("ROLE_EXAM_USER"),
    examAdmin("ROLE_EXAM_ADMIN"),
    disk("ROLE_DISK"),
    user("ROLE_USER"),
    admin("ROLE_ADMIN");

    private final String value;
    AccountRole(String value) {
        this.value = value;
    }

    public String getName() {
        return this.name();
    }

    public String getValue() {
        return value;
    }
}
